Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class DefaultExceptionReader

    java.lang.Object
      org.mule.config.DefaultExceptionReader

All Implemented Interfaces:
  ExceptionReader

    public final class DefaultExceptionReader

extends Object
implements ExceptionReader

This is the default exception reader used if there is no specific one registered for the current exception.

Constructor Summary
`DefaultExceptionReader()`

Method Summary
`Throwable` | `getCause(Throwable t)`
`Class<?>` | `getExceptionType()`
`Map<?,?>` | `getInfo(Throwable t)` Returns a map of the non-stanard information stored on the exception
`String` | `getMessage(Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultExceptionReader

    public DefaultExceptionReader()

Method Detail

### getMessage

    public String getMessage(Throwable t)

  Specified by:
    `getMessage` in interface `ExceptionReader`

### getCause

    public Throwable getCause(Throwable t)

  Specified by:
    `getCause` in interface `ExceptionReader`

### getExceptionType

    public Class<?> getExceptionType()

  Specified by:
    `getExceptionType` in interface `ExceptionReader`

### getInfo

    public Map<?,?> getInfo(Throwable t)

  Returns a map of the non-stanard information stored on the exception

  Specified by:
    `getInfo` in interface `ExceptionReader`
  Parameters:
    `t` - the exception to extract the information from
  Returns:
    a map of the non-stanard information stored on the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.